%define	name	boost-jam
%define	version 3.1.9
%define	release	1mdk

Name:		%{name}
Summary:	Build tool for Boost libraries
Version:	%{version}
Release:	%{release}
Source:		%{name}-%{version}.tar.bz2
License: 	GPL
Group: 		Development/Other
URL: 		http://www.boost.org
Buildrequires:	byacc
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	byacc

%description
Boost Jam is a build tool based on FTJam, which in turn is based on 
Perforce Jam. It contains significant improvements made to facilitate
its use in the Boost Build System, but should be backward compatible 
with Perforce Jam.

Authors:
	Perforce Jam : Cristopher Seiwald
	FT Jam       : David Turner
	Boost Jam    : David Abrahams

%prep
%setup -q

%build
export CC=gcc
export CFLAGS="$RPM_OPT_FLAGS"
./build.sh cc

%install
rm -rf $RPM_BUILD_ROOT
install -m755 bin.linux*/jam -D $RPM_BUILD_ROOT%{_bindir}/jam
ln -sf jam $RPM_BUILD_ROOT%{_bindir}/bjam

%files
%defattr(-,root,root)
%doc Jam.html index.html Porting
%{_bindir}/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Feb 04 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 3.1.9-1mdk
- 3.1.9

* Wed Oct 29 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 3.1.7-1mdk
- 3.1.7
- compile with $RPM_OPT_FLAGS
- cleanups

* Tue Apr 29 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.1-3mdk
- Fix build on real arches

* Sun Apr 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.1-2mdk
- adjust buildrequires

* Tue Mar 18 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.1-1mdk
- from andi payn <payn@myrealbox.com> :
	- Mandrakization of original RPM by Vladimir Prus <ghost@cs.msu.su>
